package com.jkcredit.invoice.hub.model.dto.carFreeCarrierBillStart;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/16 23:27
 * @version: V1.0
 **/
@Data
public class CarFreeCarrierBillStartDto implements Serializable {
    private static final long serialVersionUID = 5285252486932628307L;
    // 运单编号
    @NotNull(message = "运单编号不能为空")
    @NotBlank(message = "运单编号不能为空")
    private String num;
    // 车牌号
    @NotNull(message = "车牌号不能为空")
    @NotBlank(message = "车牌号不能为空")
    private String plateNumber;
    // 车牌颜色
    @NotNull(message = "车牌颜色不能为空")
    private Integer plateColor;
    // 运单开始时间
    @NotNull(message = "运单开始时间不能为空")
    @NotBlank(message = "运单开始时间不能为空")
    private String startTime;
    // 运单开始地址
    @NotNull(message = "运单开始地址不能为空")
    @NotBlank(message = "运单开始地址不能为空")
    private String sourceAddr;
    // 运单目的地址
    @NotNull(message = "运单目的地址不能为空")
    @NotBlank(message = "运单目的地址不能为空")
    private String destAddr;
    // 运单预计完成时间
    @NotNull(message = "运单预计完成时间不能为空")
    @NotBlank(message = "运单预计完成时间不能为空")
    private String predictEndTime;
    // 运单费用
    @NotNull(message = "运单费用不能为空")
    private Long fee;
    // 发票抬头类型
    @NotNull(message = "发票抬头类型不能为空")
    private Integer titleType;
    // 税号
    private String taxPlayerCode;
    // 是否为历史运单
    private Integer isHistory;
    // 用户id
    private Integer userId;
}
